Subject: Re: [PATCH] r8169: Fix WoL on RTL8168d/8111d.

From: Cyril Brulebois <[email-masked]>
Date: Mon, 29 Oct 2012 01:21:40 +0100

Francois Romieu <[email-masked]> (29/10/2012):
> Cyril Brulebois <[email-masked]> :
> > This regression was spotted between Debian squeeze and Debian wheezy
> > kernels (respectively based on 2.6.32 and 3.2). The fix was inspired
> > by <http://www.spinics.net/lists/netdev/msg178543.html>, using
> > RTL_GIGA_MAC_VER_{25,26} for the RTL8168d/8111d chipset.
> 
> If someone experiences problems or has questions about WoL with
> Realtek's 816x chipsets, http://marc.info/?t=132079219400004 would
> imho be a better reference.

Thanks. Should I re-send with that as reference, or will you amend the
patch once you're done with your testing?

> [...]
> > Tested on top of a 3.2.23 kernel.
> 
> It should still be relevant for current kernel. I'll give it a try.

FWIW, further testing was suggested on some Debian lists, and 3.2.32
(which includes some commits related to r8169) is also affected.

> [...]
> > It looks like RTL_GIGA_MAC_VER_{25,26} are kinda supposed to go
> > together so I kept both. Florent's testing gave the following results:
> >  - RTL_GIGA_MAC_VER_25 only: FAIL.
> >  - RTL_GIGA_MAC_VER_26 only: SUCCESS.
> >  - RTL_GIGA_MAC_VER_25 + RTL_GIGA_MAC_VER_26: SUCCESS.
> 
> I don't understand the VER_25 vs VER_26 difference.

Neither do I. We just figured that it would nice to test all three
cases since those two macros popped up when looking at the 8168D
family.

Mraw,
KiBi.